This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022958 - win8-64 guest s3 cause qemu-kvm quit
win8-64 guest s3 cause qemu-kvm quit
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Windows
medium Severity medium
: rc
: ---
Assigned To: Marcel Apfelbaum
Virtualization Bugs
:
Depends On:
Blocks: Virt-S3/S4-7.0
  Show dependency treegraph
 
Reported: 2013-10-24 07:13 EDT by FuXiangChun
Modified: 2015-03-04 00:36 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-04 00:36:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FuXiangChun 2013-10-24 07:13:07 EDT
Description of problem:
S3 lead to qemu-kvm quit, and guest will reboot instead of recovering from s3 when restarting qemu-kvm command line.

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-1.5.3-10.el7.x86_64
3.10.0-35.el7.x86_64
qxl version:
qxlwddm-0.2

How reproducible:
100%

Steps to Reproduce:
1.qemu-kvm command line

/usr/libexec/qemu-kvm -M q35 -cpu SandyBridge -enable-kvm -m 10G -smp 8,sockets=2,cores=4,threads=1 -usb -device usb-tablet,id=input0 -name sluo -uuid ec15da0a-e8a7-42f4-905a-78fed78fd8fd -rtc base=localtime,clock=host,driftfix=slew -device ahci,id=ahci0,addr=0x04 -drive file=/home/win8.1-64.qcow2,if=none,id=drive-sata-disk-0-0,format=qcow2 -device ide-drive,bus=ahci0.0,unit=0,drive=drive-sata-disk-0-0,id=sata-disk-0-0 -netdev tap,script=/etc/qemu-ifup,id=netdev0 -device rtl8139,netdev=netdev0,id=virtio-net-pci0,mac=e4:1f:13:eb:40:24,addr=0x5 -balloon virtio -vnc :1 -monitor stdio -boot menu=on -spice disable-ticketing,port=5931 -vga qxl  -global qxl-vga.revision=3 -qmp tcp:0:4444,server,nowait -usb -device usb-mouse,id=mouse -sandbox off  -drive file=/root/interface/virtio.qcow2,if=none,id=drive-sata-disk-0-1,format=qcow2 -device virtio-blk-pci,drive=drive-sata-disk-0-1,id=sata-disk-0-1 -drive file=/root/interface/scsi.qcow2,if=none,id=drive-scsi-disk,format=qcow2,aio=native -device virtio-scsi-pci,id=scsi0 -device scsi-hd,drive=drive-scsi-disk,id=data-disk -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1,server,nowait -mon chardev=qmp_id_qmpmonitor1,mode=control -drive file=qxl.iso,if=none,media=cdrom,format=raw,id=drive-ide1-0-2 -device ide-drive,drive=drive-ide1-0-2,id=ide1-0-2,bus=ide.0,unit=0


2. do s3(sleep) inside guest

3.

Actual results:
qemu-kvm quit

Expected results:
qemu-kvm don't quit and can recovery guest automatically.

Additional info:
Comment 3 Ronen Hod 2014-01-14 10:42:10 EST
Also Q35. Deferring.

Note You need to log in before you can comment on or make changes to this bug.